CVE-2017-10799

Published: 03 July 2017

When GraphicsMagick 1.3.25 processes a DPX image (with metadata indicating a large width) in coders/dpx.c, a denial of service (OOM) can occur in ReadDPXImage().

From the Ubuntu security team

It was discovered that GraphicsMagick incorrectly handled certain image files. An attacker could possibly use this issue to cause a denial of service or other unspecified impact.

Priority

Medium

CVSS 3 base score: 5.5

Status

Package Release Status
graphicsmagick
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 20.10 (Groovy Gorilla) Not vulnerable
(1.3.26-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.3.26-1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(1.3.26-1)
Ubuntu 16.04 LTS (Xenial Xerus)
Released (1.3.23-1ubuntu0.2)
Ubuntu 14.04 ESM (Trusty Tahr) Needed